Create IQMessage

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/iqmessage

Create a new IQ message, spurring IQ to respond.

The response is streamed back as a JSONL stream, ie. a stream of JSON objects separated by newlines. Each object contains a messageId to correlate different messages, a text chunk response, a state indicating the current state of the response generation, a chart JSON and/or a done flag indicating the response is complete.

Parameters
Expand all Reset
properties *OBJECTrequired
prompt *STRINGrequired
conversation_id STRING
response_mode STRING
locale_id STRING
timezone_id STRING
Can be executed by:
Logged-in User with Luzmo IQ access
Can be associated to:
User
Authorization
IQConversation
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "state": "query"
}
{
  "messageId": "6c444fea-c70e-4e35-973d-6edc2da0029c",
  "chunk": "The"
}
{
  "messageId": "6c444fea-c70e-4e35-973d-6edc2da0029c",
  "chunk": " trend"
}
{
  "messageId": "6c444fea-c70e-4e35-973d-6edc2da0029c",
  "chunk": "..."
}
{
  "messageId": "2a5c612f-4b90-42fc-9c9c-6cf069451a91",
  "done": true
}